<?php
/**
 * @version  1.1
 * @Project  Google Plus One Button
 * @author   Compago TLC
 * @package  
 * @copyright Copyright (C) 2011 Compago TLC. All rights reserved.
 * @license  http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgContentGooglePlusOne extends JPlugin {

  function plgContentGooglePlusOne( &$subject,$params ) {
    parent::__construct( $subject,$params );
  }
  function onContentPrepare($context, &$article, &$params, $page=0){
    
    $view     = JRequest::getCmd('view');
   echo "Pr vista $view";
  }
  function onContentBeforeDisplay($context, &$article, &$params, $page=0){
    $document = & JFactory::getDocument();
    $view     = JRequest::getCmd('view');
    $position = $this->params->get( 'position','1');
   echo "vista $view";
    if ((($view == 'article')&&($this->params->get('view_article')=='1'))|| 
        (($view == 'featured')&&($this->params->get('view_frontpage')=='1'))||
        (($view == 'category')&&($this->params->get('view_category')=='1'))||
        (($view == 'archive')&&($this->params->get('view_archive')=='1'))||
        (($view == 'form')&&($this->params->get('view_form')=='1'))||
        (($view == 'categories')&&($this->params->get('view_categories')=='1'))
       ) { 
    	$title= htmlentities( $article->title, ENT_QUOTES, "UTF-8");
      $url = $this->getPageUrl($article);
      $htmlCode = $this->getPlugInHTML($params, $article, $url, $title);
      if ($view == 'article') {
        $tmp = $article->text;
      } else {
        $tmp = $article->introtext;
      }
      if ($position == '1'){
        $tmp =  $htmlCode . $tmp;  
      }
      if ($position == '2'){
        $tmp = $tmp . $htmlCode;
      }
      if ($position == '3'){
        $tmp =  $htmlCode . $tmp . $htmlCode;
      }
      if ($view == 'article') {
        $article->text = $tmp;
      } else {
        $article->introtext = $tmp;
      }

    }else{
      return; 
    }
  }
 
  private function  getPlugInHTML($params, $article, $url, $title) { 
    $category_tobe_excluded      = $this->params->get('category_tobe_excluded', '' );
    $content_tobe_excluded       = $this->params->get('content_tobe_excluded', '' );
    $excludedCatList             = @explode ( ",", $category_tobe_excluded ); 
    $excludedContentList         = @explode ( ",", $content_tobe_excluded );  
    if ( in_array ( $article->id, $excludedContentList ) || in_array ( $article->catid, $excludedCatList ) ) return;
    $size                        = $this->params->get('size');
    $count                       = $this->params->get('show_count');  
    $css                         = $this->params->get('css');
    $container                   = $this->params->get('container');
    $htmlCode                    = "";
    if ($count == 1) {
      $count = "true";
    } else {
      $count = "false";
    }
    $language                    = $this->params->get( 'language');
    $htmlCode .= "<script type=\"text/javascript\" src=\"http://apis.google.com/js/plusone.js\">
                     {lang: '".$language."'}
                  </script>";
    $htmlCode .= "<$container style=\"$css\"><g:plusone size=\"$size\" href=\"$url\" count=\"$count\"></g:plusone></$container>";
    return $htmlCode; 
  }
  
  private function getPageUrl($obj){
    if (!is_null($obj)) {
      $url   = JRoute::_(ContentHelperRoute::getArticleRoute($obj->id, $obj->catid));
      $uri   = JURI::getInstance();
      $base  = $uri->toString( array('scheme', 'host', 'port'));
      $url   = $base . $url;
      $url   = JRoute::_($url, true, 0);
      return $url;
    }
  }
}
?>
